Create Transaction
curl --request POST \
--url https://api.example.com/v2/bank-transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "<string>",
"reference_number": "<string>",
"amount": "<string>",
"statement_id": "<string>",
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v2/bank-transactions"
payload = {
"account_id": "<string>",
"reference_number": "<string>",
"amount": "<string>",
"statement_id": "<string>",
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: '<string>',
reference_number: '<string>',
amount: '<string>',
statement_id: '<string>',
description: '<string>',
timestamp: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/v2/bank-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/bank-transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '<string>',
'reference_number' => '<string>',
'amount' => '<string>',
'statement_id' => '<string>',
'description' => '<string>',
'timestamp' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/bank-transactions"
payload := strings.NewReader("{\n \"account_id\": \"<string>\",\n \"reference_number\": \"<string>\",\n \"amount\": \"<string>\",\n \"statement_id\": \"<string>\",\n \"description\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v2/bank-transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"<string>\",\n \"reference_number\": \"<string>\",\n \"amount\": \"<string>\",\n \"statement_id\": \"<string>\",\n \"description\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/bank-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"<string>\",\n \"reference_number\": \"<string>\",\n \"amount\": \"<string>\",\n \"statement_id\": \"<string>\",\n \"description\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"account_mask": "<string>",
"account_id": "<string>",
"reference_number": "<string>",
"description": "<string>",
"posted": true,
"amount": "<string>",
"currency": "ADP",
"type": "deposit",
"agent_extractions": {
"counterparty_name": "<string>",
"counterparty_raw": "<string>",
"invoice_numbers": [
"<string>"
]
},
"agent_metrics": {
"confidence_reason": "<string>",
"confidence_score": 123,
"error_code": "duplicate",
"uncertainties": [
"<string>"
]
},
"is_agent_processing": true,
"payment_status": "non_payment",
"is_payment": true,
"non_payment_reason": "<string>",
"total_allocated": "<string>",
"amount_handled_outside": "<string>",
"handled_outside_reason": "<string>",
"counterparty_info": {
"display": "<string>",
"id": "<string>",
"partner_count": 0
},
"has_remittance": true,
"has_on_account": true,
"has_fx_payments": true,
"has_posting_errors": true,
"payout": {
"id": "<string>",
"remote_id": "<string>",
"url": "<string>"
},
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}bank-transactions
Create Transaction
Create a Bank Transaction
POST
/
v2
/
bank-transactions
Create Transaction
curl --request POST \
--url https://api.example.com/v2/bank-transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "<string>",
"reference_number": "<string>",
"amount": "<string>",
"statement_id": "<string>",
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v2/bank-transactions"
payload = {
"account_id": "<string>",
"reference_number": "<string>",
"amount": "<string>",
"statement_id": "<string>",
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: '<string>',
reference_number: '<string>',
amount: '<string>',
statement_id: '<string>',
description: '<string>',
timestamp: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/v2/bank-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/bank-transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '<string>',
'reference_number' => '<string>',
'amount' => '<string>',
'statement_id' => '<string>',
'description' => '<string>',
'timestamp' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/bank-transactions"
payload := strings.NewReader("{\n \"account_id\": \"<string>\",\n \"reference_number\": \"<string>\",\n \"amount\": \"<string>\",\n \"statement_id\": \"<string>\",\n \"description\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v2/bank-transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"<string>\",\n \"reference_number\": \"<string>\",\n \"amount\": \"<string>\",\n \"statement_id\": \"<string>\",\n \"description\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/bank-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"<string>\",\n \"reference_number\": \"<string>\",\n \"amount\": \"<string>\",\n \"statement_id\": \"<string>\",\n \"description\": \"<string>\",\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"account_mask": "<string>",
"account_id": "<string>",
"reference_number": "<string>",
"description": "<string>",
"posted": true,
"amount": "<string>",
"currency": "ADP",
"type": "deposit",
"agent_extractions": {
"counterparty_name": "<string>",
"counterparty_raw": "<string>",
"invoice_numbers": [
"<string>"
]
},
"agent_metrics": {
"confidence_reason": "<string>",
"confidence_score": 123,
"error_code": "duplicate",
"uncertainties": [
"<string>"
]
},
"is_agent_processing": true,
"payment_status": "non_payment",
"is_payment": true,
"non_payment_reason": "<string>",
"total_allocated": "<string>",
"amount_handled_outside": "<string>",
"handled_outside_reason": "<string>",
"counterparty_info": {
"display": "<string>",
"id": "<string>",
"partner_count": 0
},
"has_remittance": true,
"has_on_account": true,
"has_fx_payments": true,
"has_posting_errors": true,
"payout": {
"id": "<string>",
"remote_id": "<string>",
"url": "<string>"
},
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Body
application/json
Schema for creating a bank transaction.
Response
Successful Response
Main Bank Transaction detail schema.
The 3 character ISO 4217 currency code.
Available options:
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR 